image: luki42/latex-full:latest

stages:
  - build

build-presentation:
  stage: build
  script:
    - cd presentation
    - latexmk -xelatex -file-line-error -interaction=nonstopmode -halt-on-error main.tex
  artifacts:
    paths:
      - "presentation/*.pdf"

build-summary:
  stage: build
  script:
    - cd summary
    - latexmk -xelatex -file-line-error -interaction=nonstopmode -halt-on-error main.tex
  artifacts:
    paths:
      - "summary/*.pdf"